Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp.net
Class HttpServer

    java.lang.Object
      de.grogra.http.Server
          de.grogra.imp.net.HttpServer

All Implemented Interfaces:
  java.lang.Runnable

    public class HttpServer

extends Server

Field Summary
`static java.lang.String` | `HTTP_RESPONSE`
`protected Workbench` | `workbench`

Fields inherited from class de.grogra.http.Server
`CONTENT_LENGTH, CONTENT_TYPE, CRLF`

Constructor Summary
`HttpServer(Workbench workbench, java.net.ServerSocket socket)`

Method Summary
`static void` | `about(Item item, java.lang.Object info, Context ctx)`
`protected boolean` | `handleRequest(Request request, java.net.Socket client)`
`static void` | `openProject(Item item, java.lang.Object info, Context ctx)`

Methods inherited from class de.grogra.http.Server
`accept, close, getInfoLevel, getLogger, getWarningLevel, isClosed, run, writeResponse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HTTP_RESPONSE

    public static final java.lang.String HTTP_RESPONSE

See Also:
  Constant Field Values

### workbench

    protected final Workbench workbench

Constructor Detail

### HttpServer

    public HttpServer(Workbench workbench,
                      java.net.ServerSocket socket)

Method Detail

### about

    public static void about(Item item,
                             java.lang.Object info,
                             Context ctx)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### handleRequest

    protected boolean handleRequest(Request request,
                                    java.net.Socket client)
                             throws java.io.IOException

  Specified by:
    `handleRequest` in class `Server`
  Throws:
    `java.io.IOException`

### openProject

    public static void openProject(Item item,
                                   java.lang.Object info,
                                   Context ctx)
                            throws java.io.UnsupportedEncodingException

  Throws:
    `java.io.UnsupportedEncodingException`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD